title 正在比对U盘信息
set /p u=<"%~dp0Upath.txt"
set /p version_ol=<"%~dp0core\version_ol.txt"
set /p version_usb=<"%u%:\Edgeless\version.txt"
if %version_ol:~20,5%==%version_usb:~20,5% goto newest
title 有可用的Edgeless更新
cls
echo.
echo      发现%u%盘可更新Edgeless
echo.
echo   当前版本：%version_usb:~20,5%
echo   最新版本：%version_ol:~20,5%
echo =========================================
echo.
echo.
echo    【1】免格更新（推荐）    【2】全新制作
echo.
echo.
echo.
set /p cho=请输入序号并回车：
if %cho%==2 (
    call dash_checkiso.cmd
    echo "%~dp0core\Edgeless.iso" >burn_target.txt
    echo 1 >burn_check.txt
    call main_burn.cmd
)
else (
    call dash_checkiso.cmd
    echo %version_ol:~26,1% >update_way.txt
    call main_update.cmd
)
call main_exit.cmd





:newest
title 当前已是最新版本
cls
echo.
echo.
echo.
echo  恭喜，%u%盘的Edgeless已是最新版本！
echo =========================================
echo 版本信息：
echo 完整版本号：%version_ol%
echo 系统名称：%version_ol:~0,8%
echo 渠道类型：%version_ol:~9,4%
echo 发行版本：%version_ol:~14,5%
echo 版本编号：%version_ol:~20,5%
echo =========================================
echo.
echo.
echo.
echo    如果您的启动盘遇到了故障，请尝试修复
echo.
echo  【1】尝试修复（推荐）       【2】全新制作
echo.
echo.
set /p cho=请输入序号并回车：
if %cho%==2 (
    call dash_checkiso.cmd
    echo "%~dp0core\Edgeless.iso" >burn_target.txt
    echo 1 >burn_check.txt
    call main_burn.cmd
)
else
(
    call dash_checkiso.cmd
    echo 4 >update_way.txt
    call main_update.cmd
)
call main_exit.cmd